------ ENTRADA D'ERRORS CONTROLATS ------ CPM

-- TAULA Pas --------------------------
DECLARE
	RSP		VARCHAR2(100);
BEGIN
	RSP:= 'OK';
	-- Error en la entrada de parmetres
	p_pais_insert(5,'',RSP);
	-- Entrar un pas que ja existeixi
	p_pais_insert('BE','Blgica',RSP);
	-- Intentar actualitzar un pas que no existeixi
	p_pais_update('XX','XXXXXX',RSP);
END;
/
-- TAULA Regi --------------------------
DECLARE
	RSP		VARCHAR2(100);
BEGIN
	RSP:= 'OK';
	-- Error en la entrada de parmetres
	p_regio_insert('ES','',RSP);
	-- Entrar una regi que ja existeixi
	p_regio_insert('ES','Andalusia',RSP);
END;
/
-- TAULA Ciutad --------------------------
DECLARE
	RSP		VARCHAR2(100);
BEGIN
	RSP:= 'OK';
	-- Error, ciutad ja existeix
	p_ciutada_insert(1,1, TO_DATE('01/02/1960','DD/MM/YYYY'), RSP);
END;
/
-- TAULA Votaci --------------------------
DECLARE
	RSP		VARCHAR2(100);
BEGIN
	RSP:= 'OK';
	-- Error, la votaci ja existeix
	p_votacio_insert('Eleccions Europees 2010', 'Eleccions Europees 2010', 
		TO_TIMESTAMP('01/07/2010 08:00:00', 'DD/MM/YYYY hh24:mi:ss'), 
		TO_TIMESTAMP('02/07/2010 21:00:00', 'DD/MM/YYYY hh24:mi:ss'), 
		TO_DATE('01/06/2010', 'DD/MM/YYYY'), 'Jos Barroso Gmez', 'E', 'http://eleccions2010.eu', RSP);
END;
/
-- TAULA Opci --------------------------
DECLARE
	RSP		VARCHAR2(100);
BEGIN
	RSP:= 'OK';
	-- Error, l'opci ja existeix
	p_opcio_insert('Si', RSP);
END;
/

-- TAULA Cens --------------------------
DECLARE
	RSP		VARCHAR2(100);
BEGIN
	RSP:= 'OK';
	-- Errar, tipus de cens incorrecte
	p_cens_insert('X', RSP);
END;
/
-- TAULA CensGlobal --------------------------
DECLARE
	RSP		VARCHAR2(100);
BEGIN
	RSP:= 'OK';
	-- Error, el cens ja existeix
	p_censglobal_insert(1, 18, RSP);
END;
/
-- TAULA CensLocal --------------------------
DECLARE
	RSP		VARCHAR2(100);
BEGIN
	RSP:= 'OK';
	-- Error, el cens ja existeix
	p_censlocal_insert(10, 1, RSP);
END;
/
-- TAULA CensRegional --------------------------
DECLARE
	RSP		VARCHAR2(100);
BEGIN
	RSP:= 'OK';
	-- Error, el cens ja existeix
	p_censregional_insert(5, 10, RSP);
END;
/
-- TAULA CensEstatal --------------------------
DECLARE
	RSP		VARCHAR2(100);
BEGIN
	RSP:= 'OK';
	-- Error, el cens ja existeix	
	p_censestatal_insert(4, 'FR', RSP);
END;
/
-- TAULA Opcio_Votaci --------------------------
DECLARE
	RSP		VARCHAR2(100);
BEGIN
	-- Errors, aquests registres ja existeixen
	RSP:= 'OK';
	-- Global
	p_opcio_votacio_insert(10, 1, RSP);
	p_opcio_votacio_insert(10, 2, RSP);
	-- Regional (Catalunya)
	p_opcio_votacio_insert(1, 3, RSP);
	-- Estatal (Itlia)
	p_opcio_votacio_insert(1, 4, RSP);
	-- Local (Barcelona)
	p_opcio_votacio_insert(1, 5, RSP);
	-- Local (Mil)
	p_opcio_votacio_insert(1, 6, RSP);
	-- Local (Pars)
	p_opcio_votacio_insert(1, 7, RSP);
	-- Estatal (Espanya)
	p_opcio_votacio_insert(1, 8, RSP);
	-- Regional (Llombardia)
	p_opcio_votacio_insert(1, 9, RSP);
	-- Local (Roma)
	p_opcio_votacio_insert(1, 10, RSP);
	-- Estatal (Itlia)
	p_opcio_votacio_insert(1, 11, RSP);
END;
/

-- TAULA Assignaci --------------------------
DECLARE
	RSP		VARCHAR2(100);
BEGIN
	RSP:= 'OK';
	-- Error, la votaci no est en edici ni pendent
	p_assignacio(11, 4, RSP);
END;
/

-- Taula Votaci, canvi d'estat a oberta o pendent per poder fer les votacions 
DECLARE
	RSP		VARCHAR2(100);
BEGIN
	RSP:= 'OK';
	-- Error, estat incorrecte
	p_canviestat_update(11, 'X', RSP);
END;
/


-- TAULA Vota --------------------------
DECLARE
	RSP		VARCHAR2(100);
BEGIN
	RSP:= 'OK';
	-- Error, el ciutad ja ha votat o b la votaci no est oberta
	p_vota_insert(683, 11, 10, RSP);
END;
/
-- Finalitzaci de les votacions - a dins s'executen els procediments d'estadstiques---
DECLARE
	RSP		VARCHAR2(100);
BEGIN
	RSP:= 'OK';
	-- Error, la votaci ja est finalitzada
	p_finalitzacio_votacio(11, RSP);
END;
/

-- Execuci de llistats de consulta per pantalla - Cal tenir activada 
-- l'opci "set serveroutput on" a la pestanya DBMS Output
DECLARE
	RSP		VARCHAR2(100);
BEGIN
	RSP:= 'OK';
	DBMS_OUTPUT.PUT_LINE(' ');	
	-- Error, no existeix el pas
	p_votacions_pais_llistat('XX', RSP);
	DBMS_OUTPUT.PUT_LINE(' ');
	DBMS_OUTPUT.PUT_LINE(' ');	
	-- Error, no existeix ciutad
	p_censos_ciutada_llistat(1500, RSP);
	DBMS_OUTPUT.PUT_LINE(' ');
	DBMS_OUTPUT.PUT_LINE(' ');		
	-- Error, no existeix ciutad	
	p_votacions_ciutada_llistat(3000, RSP);
END;
/

-- Execuci de llistats estadstics per pantalla - Cal tenir activada 
-- l'opci "set serveroutput on" a la pestanya DBMS Output
DECLARE
	RSP		VARCHAR2(100);
BEGIN
	RSP:= 'OK';
	DBMS_OUTPUT.PUT_LINE(' ');
	DBMS_OUTPUT.PUT_LINE(' ');		
	-- Error, pas no existeix
	p_e1_llistat('XX', 2011, RSP);
	DBMS_OUTPUT.PUT_LINE(' ');
	DBMS_OUTPUT.PUT_LINE(' ');	
	-- Error, el cens no existeix 
	p_e2_llistat(1000, 2011, RSP);
	DBMS_OUTPUT.PUT_LINE(' ');
	DBMS_OUTPUT.PUT_LINE(' ');		
	-- Error, el cens no existeix 
	p_e3_llistat(1000, 2011, RSP);
	DBMS_OUTPUT.PUT_LINE(' ');
	DBMS_OUTPUT.PUT_LINE(' ');	
	-- Error, l'any no existeix 
	p_e4_llistat(2050, RSP);
	DBMS_OUTPUT.PUT_LINE(' ');
	DBMS_OUTPUT.PUT_LINE(' ');	
	-- Error, l'any no existeix 
	p_e5_llistat(2050, RSP);
	DBMS_OUTPUT.PUT_LINE(' ');
	DBMS_OUTPUT.PUT_LINE(' ');			
	-- Error, l'any no existeix 	
	p_e6_llistat(2000, RSP);
	DBMS_OUTPUT.PUT_LINE(' ');
	DBMS_OUTPUT.PUT_LINE(' ');			
	-- Error, no troba registre
	p_e7_llistat(5, RSP);
	DBMS_OUTPUT.PUT_LINE(' ');
	DBMS_OUTPUT.PUT_LINE(' ');			
	-- Error, no troba registre	
	p_e8_llistat(5, RSP);
	DBMS_OUTPUT.PUT_LINE(' ');
	DBMS_OUTPUT.PUT_LINE(' ');	
	-- Error, no troba registre
	p_e9_llistat(5, RSP);
	DBMS_OUTPUT.PUT_LINE(' ');
	DBMS_OUTPUT.PUT_LINE(' ');			
	-- Error, no existeix el ciutad
	p_e10_llistat(8000, RSP);
END;
/
COMMIT;
